Jupiter - Blad #1879
proces publikacji w stanie started po btedzie
2017-12-01 10:38 - Lukasz Waskiewicz

Status:
Priority:
Assignee:
Category:
Target version:
Developer:
Tester:

Zamkniety

Normalny

tukasz Waskiewicz

backend

0.3

Jarostaw Babel, Michat Komar
tukasz Waskiewicz

Start date: 2017-12-01
Due date:

% Done: 100%
Estimated time: 0.00 hour

Rewizja zgtoszenia GITS5bb31fd
Rewizja rozwigzania GI'Bc006b6

Wystepuje w wersji: 0.3 Rewizja testow GIT: 0507686
Waga btedu: Mata
Description

http://cocos-devel.vls.icm.edu.pl:9080/en/publishing/viewProcess/261

publikowany zas6b ma btgd w bwmeta

Caused by: pl.edu.icm.model.transformers.TransformationException: org.jdom.input.JDOMParseException: Error on line 12:
cvc-pattern-valid: Value '<test>' is not facet-valid with respect to pattern '[A-Za-z0-9_./:@\-]+' for type 'ExtldType'.

10:33:24.909 [?] [asyncThread-45] [ WARN p.e.i.j.s.async.AsyncJobRunnerlmpl - Async call resulted in exception:
pl.edu.icm.jupiter.services.api.model.exceptions.InvalidDocumentStateException: DocumentBasicMetadata with id:

bwmetal.element.ekon-element-000171345005 is in invalid state. Didn't accept message: GenericMessage
[payload=PUBLISHING_ENDED_WITH_ERROR,
headers={PUBLICATION_PROCESS=pl.edu.icm.jupiter.services.api.model.documents.PublicationProcessBean@de0f49c4,
id=6f66ca33-4840-30e6-d500-7fcd68a79469, timestamp=1512124404898}]

at

pl.edu.icm.jupiter.services.storage.DocumentStateMachineServicelmpl.sendEvent(DocumentStateMachineServicelmpl.java:47)0

)

at

pl.edu.icm.jupiter.services.storage.DocumentStateMachineServicelmpl$$FastClassBySpringCGLIB$$da2b09f7.invoke(<generated

ated>)

\4

~

Related issues:

Related to Jupiter - Zadanie # 1840: Utworzenie sekcji z obszarami naukowymi Zamkniety

2017-10-03

2017-10-03

Associated revisions

Revision d18640c7 - 2017-12-06 08:33 - Michat Komar

refs #1879: Ustawienie tranakcyjnosci w innym miejscu podczas publikacji

Zminitem tez akcje podczas publikacji w FullState poniewaz byta uzywana

btedna.

Revision fe2556c¢e - 2017-12-20 15:46 - Michat Komar

2025-04-18

1/3

at pl


http://cocos-devel.vls.icm.edu.pl:9080/en/publishing/viewProcess/261

refs #1879: Poprawienie potwierdzania zmian z poziomu edyc;ji

History

#1 - 2017-12-01 10:38 - Lukasz Waskiewicz
- Related to Zadanie #1840: Utworzenie sekcji z obszarami naukowymi added

#2 - 2017-12-06 08:35 - Michat Komar

- Category set to backend

- Status changed from Nowy to Rozwigzany

- Assignee changed from Michat Komar to tukasz Waskiewicz
- % Done changed from 0 to 100

- Rewizja rozwigzania GIT set to 9c006b6

Poprawitem.

Dodatem tez zapisywanie procesu publiakcji w BASIC.

#3 - 2017-12-15 15:50 - Lukasz Waskiewicz

- Status changed from Rozwigzany to OdpowiedZz

- Assignee changed from tukasz Waskiewicz to Michat Komar
- Rewizja testow GIT set to c633b4d

problem wcigz wystepuje
http://cocos-devel.vls.icm.edu.pl:9080/pl/publishing/viewProcess/454

publikowany zaséb ma uszkodzong bwmete bwmeta1.element.ekon-element-000171198157

#4 - 2017-12-20 15:47 - Michat Komar
- Assignee changed from Michat Komar to tukasz Waskiewicz

Przy okazji poprawitem potwierdzanie zmian. Gdy proces konczy sie btedem jest to zapisywane w bazie. Nie moge powtoérzy¢ btedu.

#5 - 2017-12-22 08:37 - Lukasz Waskiewicz
- Assignee changed from tukasz Waskiewicz to Michat Komar
- Rewizja testow GIT changed from c633b4d to 0507686

- dataset bazekon
1. edytowatem zaséb
2. zatwierdzitem zmiany
3. uruchomitem update jupiter_bwmeta set data = 'dupd’ || data where id = (select a.bwmeta
from jupiter_base_document d
join jupiter_archive_document a on a.id=d.archive_id
where d.identifier = 'bwmetal.element.ekon-element-000171339655')

4. wtaczytem publikacje zasobu i proces jest w stanie Rozpoczety i nie zmienia sig
http://cocos-devel.vls.icm.edu.pl:9080/pl/publishing/viewProcess/502
http://cocos-devel.vls.icm.edu.pl:9080/pl/publishing/viewProcess/454
http://cocos-devel.vls.icm.edu.pl:9080/pl/publishing/viewProcess/502

#6 - 2017-12-28 08:24 - Lukasz Waskiewicz
- Assignee changed from Michat Komar to Jarostaw Babel

- Developer Jarostaw Babel added

#7 - 2018-01-30 09:50 - Jarostaw Babel
- Assignee changed from Jarostaw Babel to tukasz Waskiewicz

#8 - 2018-02-07 09:58 - Lukasz Waskiewicz
- Status changed from OdpowiedZ to Zamkniety

z recznego uszkodzenia bwmety nie da sie w sensowny sposéb podniesé systemu.
wyijatek teraz leci przy probie obstugi wyjatku i nie mozna dostarczy¢ bazowego YElementu ktdry zastagpit by ten zepsuty, dokument jest bezpowrotnie
zepsuty, jedyne co mozna zrobi¢ to da¢ uzytkownikowi mozliwosc¢ recznej edycji bwmety, ale nawet reczng edycja uzytkownik nie doprowadzi

elementu do stanu jaki wywotuje btad (zepsuty potwierdzony zaso6b)
